in scala.util.automata
class BaseBerrySethi

`abstract class` BaseBerrySethi
  `extends` java.lang.Object
  `with` scala.ScalaObject

  this turns a regexp over A into a NondetWorkAutom over A using the celebrated position automata construction (also called Berry-Sethi or Glushkov)

Direct Known Subclasses:
  WordBerrySethi

Constructor Summary
| `def` this

Val Summary
`final` | `val` emptySet : scala.collection.immutable.Set[scala.Int]
`abstract` | `val` lang : scala.util.regexp.Base

Var Summary
`protected` | `var` finalTag : scala.Int
`protected` | `var` finals : scala.collection.immutable.TreeMap[scala.Int, scala.Int]
`protected` | `var` follow : scala.collection.mutable.HashMap[scala.Int, scala.collection.immutable.Set[scala.Int]]
`protected` | `var` globalFirst : scala.collection.immutable.Set[scala.Int]
`protected` | `var` pos : scala.Int

Def Summary
`protected` | `def` compFirst (r: BaseBerrySethi.this.lang.RegExp) : scala.collection.immutable.Set[scala.Int] computes first( r ) for the word regexp r
`protected` | `def` compFollow (r: scala.Seq[BaseBerrySethi.this.lang.RegExp]) : scala.collection.immutable.Set[scala.Int] Starts from the right-to-left precondition: pos is final pats are successor patterns of a Sequence node
`protected` | `def` compFollow1 (fol1: scala.collection.immutable.Set[scala.Int], r: BaseBerrySethi.this.lang.RegExp) : scala.collection.immutable.Set[scala.Int] returns the first set of an expression, setting the follow set along the way.
`protected` | `def` compLast (r: BaseBerrySethi.this.lang.RegExp) : scala.collection.immutable.Set[scala.Int] computes last( r ) for the regexp r
`protected` | `def` traverse (r: BaseBerrySethi.this.lang.RegExp) : scala.Unit returns "Sethi-length" of a pattern, creating the set of position along the way.

Constructor Detail

`def` this

Val Detail

`final val` emptySet : scala.collection.immutable.Set[scala.Int]

`abstract val` lang : scala.util.regexp.Base

Var Detail

`protected var` finalTag : scala.Int

`protected var` finals : scala.collection.immutable.TreeMap[scala.Int, scala.Int]

`protected var` follow : scala.collection.mutable.HashMap[scala.Int, scala.collection.immutable.Set[scala.Int]]

`protected var` globalFirst : scala.collection.immutable.Set[scala.Int]

`protected var` pos : scala.Int

Def Detail

`protected def` compFirst (r: BaseBerrySethi.this.lang.RegExp): scala.collection.immutable.Set[scala.Int]

  computes first( r ) for the word regexp r

`protected def` compFollow (r: scala.Seq[BaseBerrySethi.this.lang.RegExp]): scala.collection.immutable.Set[scala.Int]

  Starts from the right-to-left precondition: pos is final pats are successor patterns of a Sequence node

Parameters:
  `r -` ...
Returns:
  ...

`protected def` compFollow1 (fol1: scala.collection.immutable.Set[scala.Int], r: BaseBerrySethi.this.lang.RegExp): scala.collection.immutable.Set[scala.Int]

  returns the first set of an expression, setting the follow set along the way.

Parameters:
  `fol1 -` ...
Parameters:
  `r -` ...
Returns:
  ...

`protected def` compLast (r: BaseBerrySethi.this.lang.RegExp): scala.collection.immutable.Set[scala.Int]

  computes last( r ) for the regexp r

`protected def` traverse (r: BaseBerrySethi.this.lang.RegExp): scala.Unit

  returns "Sethi-length" of a pattern, creating the set of position along the way.

Parameters:
  `r -` ...